import request from '@/utils/request'


// 查询锁具机构-列表
export function listLockAPI(query) {
  return request({
    url: '/iscs/lockset/getIsLocksetPage',
    method: 'get',
    params: query
  })
}

// 获取锁具机构详细信息
export function getLockInfoAPI(repairId) {
  return request({
    url: '/iscs/lockset/selectIsLocksetById?locksetId=' + repairId,
    method: 'get'
  })
}

//新增锁具机构
export function addLockAPI(query) {
  return request({
    url: '/iscs/lockset/insertIsLockset',
    method: 'post',
    data: query
  })
}

// 修改锁具机构信息
export function updateLockAPI(data) {
  return request({
    url: '/iscs/lockset/updateIsLockset',
    method: 'post',
    data: data
  })
}

// 删除锁具机构信息
export function delLockAPI(repairId) {
  return request({
    url: '/iscs/lockset/deleteIsLocksetByLocksetIds?locksetIds='+ repairId,
    method: 'post'

  })
}
